Provide Downloadable Version of Lisp Logger
07/14/2011 07:01 PM - J. Moringen

Status: Resolved Start date: 07/14/2011
Priority: Urgent Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Estimated time: 0.00 hour
Target version: 0.4
Description

Associated revisions
Revision c06a1663 - 07/15/2011 09:18 PM - J. Moringen
Added logger target with Spread in logger-builtin-spread/dump.lisp
refs #422
    -  logger-builtin-spread/dump.lisp: new file; dumps a logger image with

  preloaded cl-spread

Revision 7a4c2b2c - 07/15/2011 11:38 PM - J. Moringen
Added show? parameter to make-options in src/clon.lisp
refs #422
    -  src/clon.lisp (make-options): added show? keyword parameter which

  controls whether the returned option tree is included in help
  strings

Revision 1ca0421f - 07/15/2011 11:38 PM - J. Moringen
Added show parameter to update-synopsis in logger/main.lisp
refs #422
    -  logger/main.lisp (update-synopsis): added keyword parameter show

  which controls the set of options to include in help texts

Revision 087acbce - 07/15/2011 11:38 PM - J. Moringen
Added show parameter to make-common-options in common/options.lisp
refs #422
    -  common/options.lisp (make-common-options): added keyword parameter

  show which controls whether advanced debugging options are included
  in help texts

Revision 693f6d87 - 07/16/2011 03:03 AM - J. Moringen
Added system dependency on yacc in cl-rsb-tools-logger.asd
refs #422
    -  cl-rsb-tools-logger.asd (system cl-rsb-tools-logger): added

  dependency on yacc system to enable loading of textual protocol
  buffer descriptors

Revision adf6a114 - 07/16/2011 03:03 AM - J. Moringen
Added function print-filter-help in common/help.lisp
refs #422
    -  common/help.lisp (print-filter-help): new function; print a help

  text for known filter classes onto a given stream
    -  common/package.lisp (package rsb.common): added exported symbol

  print-filter-help

Revision 31a7b4d8 - 07/16/2011 03:03 AM - J. Moringen
Added help string for --filter option in logger/main.lisp
refs #422
    -  logger/main.lisp (make-filter-help-string): new function; construct

  help string for --filter option
  (update-synopsis): add description to --filter option

Revision e2b197e2 - 07/16/2011 03:03 AM - J. Moringen
Extended main help text in logger/main.lisp
refs #422
    -  logger/main.lisp (make-help-string): extended generated help text

Revision 2cc22ffa - 07/16/2011 03:03 AM - J. Moringen
Added filter construction in common/filter-construction.lisp
refs #422
    -  common/filter-construction.lisp: new file; contains functions for

  filter specification parsing and filter construction
    -  common/package.lisp (package rsb.common): added exported symbols

  parse-filter-spec and make-filter
    -  cl-rsb-common.asd (system cl-rsb-common): added file

  common/filter-construction.lisp

Revision 81d7c338 - 07/16/2011 03:03 AM - J. Moringen
Fixed error detection in sbcl.cmake.in
refs #422
    -  sbcl.cmake.in: detect errors during image dumping; be less verbose

  when compressing image

Revision be9b565b - 07/16/2011 05:17 AM - J. Moringen
Improved parse-filter-spec in common/filter-construction.lisp
refs #422
    -  common/filter-construction.lisp (parse-filter-spec): convert first

  token into a keyword if it is of some other type

Revision e2b287ec - 07/16/2011 05:17 AM - J. Moringen
Added loading of cl-ppcre in logger-builtin-spread/dump.lisp
refs #422
    -  logger-builtin-spread/dump.lisp (toplevel): load cl-ppcre to trigger

  loading of the regex filter
Revision 0ab58b01 - 07/17/2011 01:48 AM - J. Moringen
Added filter processing in logger/main.lisp
refs #422
    -  common/help.lisp (print-filter-help): changed output format; added

  blacklist parameter
    -  logger/main.lisp (make-filter-help-string): added examples

  (make-filter-tree): removed; filter construction is now provided by
  cl-rsb-common system
  (main): process --filter option using `make-filter' and
  `parse-filter-spec'; installed constructed filters in reader
  instance

Revision 2714e462 - 07/17/2011 02:55 AM - J. Moringen
Added common/conditions.lisp and common/idl-loading.lisp
refs #422
    -  common/conditions.lisp: new file; contains conditions used in

  the cl-rsb-common system
    -  common/idl-loading.lisp: new file; contains idl loading

  functions
    -  common/package.lisp (package rsb.common): added used package rsb;

  added exported symbols failed-to-load-idl, failed-to-load-idl-source
  and load-idl

    -  cl-rsb-common.asd (system cl-rsb-common): added files
  common/idl-loading.lisp and common/conditions.lisp

    -  logger-builtin-spread/dump.lisp (toplevel): removed explicit loading
  of cl-protobuf since it is a system dependency now

    -  cl-rsb-tools-logger.asd (system cl-rsb-tools-logger): added
  system dependency on system cl-protobuf

Revision d8431f93 - 07/17/2011 02:55 AM - J. Moringen
Added --idl-path option and processing in logger/main.lisp
refs #422
    -  logger/main.lisp (update-synopsis): added command line option

  --idl-path
  (main): process idl-path option using `rsb.common:load-idl'

Revision b2934742 - 07/17/2011 04:20 AM - J. Moringen
Generate description of formatting styles in logger/main.lisp
refs #422
    -  formatting/protocol.lisp (format-styles): return documentation along

  with style keyword; added documentation string
    -  logger/main.lisp (update-synopsis): generate a description of

  available display styles

Revision d46b94e7 - 07/18/2011 01:35 AM - J. Moringen
Improved transport option processing in src/participant.lisp
refs #422
    -  src/uris.lisp (uri-transport): new function; return the transport

  configuration of an URI
  (uri->scope-and-options): use `uri-transport'
    -  src/participant.lisp (define-participant-creation-uri-methods): use

  `uri-transport' to determine whether to include disabled transports
  in the default options; only pass the value of the transports
  keyword parameter to the next method if it has been supplied; this
  avoids specifying the default value multiple times

    -  src/configuration.lisp (transport-options): turned optional config
  parameter into a keyword parameter; added exclude-disabled?
  parameter

Revision 90fee389 - 07/18/2011 01:35 AM - J. Moringen
Use with-logged-warnings in logger/main.lisp
refs #422
    -  common/package.lisp (package rsb.common): added exported symbol

  with-logged-warnings
    -  logger/main.lisp (main): use `with-logged-warnings' around the main

  functionality

Revision b8af2b02 - 07/18/2011 02:03 AM - J. Moringen
Added conditions in file src/transport/conditions.lisp
refs #422
    -  src/transport/conditions.lisp: new file; contains conditions

  used in the transport module
    -  src/transport/protocol.lisp (make-connector): signal

  `connector-construction-failed' error, if something goes wrong
    -  src/transport/package.lisp (package rsb.transport): added exported

  symbols connector-construction-failed,
  connector-construction-failed-name,
  connector-construction-failed-direction and
  connector-construction-failed-args

    -  cl-rsb.asd (system cl-rsb): added file src/transport/conditions.lisp

History
#1 - 07/15/2011 11:45 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 50

#2 - 07/20/2011 04:16 AM - J. Moringen
- Status changed from In Progress to Feedback
- % Done changed from 50 to 90

#3 - 07/25/2011 06:09 PM - S. Wrede
- Target version changed from rsb-0.10 to 0.4

#4 - 07/25/2011 09:09 PM - J. Moringen
- Status changed from Feedback to Resolved
- % Done changed from 90 to 100
